{
  "alfredsnippet" : {
    "snippet" : "# --- 7. 自動擴縮 (HPA) ---\napiVersion: autoscaling\/v2\nkind: HorizontalPodAutoscaler\nmetadata:\n  name: my-app-hpa            # <--- HPA 名稱\n  namespace: default\nspec:\n  scaleTargetRef:             # <--- 指定要監控哪個目標\n    apiVersion: apps\/v1\n    kind: Deployment\n    name: my-app-deploy       # <--- 必須對應你的 Deployment 名稱\n  minReplicas: 2              # <--- 離峰時，最少要保留幾隻 Pod\n  maxReplicas: 10             # <--- 尖峰時，最多擴充到幾隻 (避免資源被吃光)\n  metrics:\n    - type: Resource\n      resource:\n        name: cpu\n        target:\n          type: Utilization\n          averageUtilization: 70 # <--- 當 CPU 平均使用率超過 70% 就加 Pod",
    "uid" : "A5840CCA-A7C4-45E6-AA9B-99716A72ED9B",
    "name" : "HPA YAML 範本",
    "keyword" : ""
  }
}